define(function(require){
//	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");
//	require("./js/jquery.lazyload.min");
//	require("./js/jquery.lazyloadxt");
//	require("./js/jquery.lazyloadxt.bg");
	
	var Model = function(){
		this.callParent();
		this.userId;
		this.nickName;
		this.second = true;
		this.third = true;
		this.sroll1 = true;
		this.sroll2 = true;
		this.sroll3 = true;
	};
	
	// 获取方言朗诵
	Model.prototype.fyReciteDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "type=2 and (state=1 or state=5) and status=1");
	};
	
	// 获取头像
    Model.prototype.getHeadImg = function(str) {
    	return common.headUrl(str);
    };
    
	// 获取又拍云全路径
    Model.prototype.getImg = function(str) {
    	return common.imgUrl(str, "ph400");
    };
    
	//设置显示的时间格式
    Model.prototype.setTimeFormat = function(time) {
    	return common.durationToFormat(time);
    };
    
	// 朗诵和朗诵上传时间操作
	Model.prototype.setUploadPosition = function(time) {
		return common.fbTimeToFormat(time);
	};

	// 跳转评论页面
//	Model.prototype.commentClick = function(event){
//		var row = event.bindingContext.$object; // 获取当前行对象
//		justep.Shell.showPage(require.toUrl("./plList.w?Id=" + row.getID() + "&type=2"));
//	};

	// 跳转个人页
	Model.prototype.gryClick = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("reciteUserId")));
	};
	
	// 跳转朗诵详情页
	Model.prototype.lsDetailClick = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./sdDetail.w?reciteId="+row.getID()+"&userId="+this.getContext().getRequestParameter("userId")));
	};

	// 跳转朗诵列表页面
	Model.prototype.lsListClick = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl('./sglsList.w?poetryId='+row.val("poetryId")+'&userId='+this.getContext().getRequestParameter("userId")+'&title='+row.val("poetryTitle")));
	};

	// 朗诵诗歌
	Model.prototype.reciteClick = function(event){
		var row = event.bindingContext.$object; // 获取当前行对象
		if (this.isToken()) {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl("./lslz.w?poetryId="+row.getID()), {userId: this.userId, nickName: this.nickName}); // token验证成功跳转录制页面	
		}
	};

	// 跳转诗歌详情
	Model.prototype.sgDetailClick = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./ycsgDetail.w?poetryId="+row.getID()+"&userId="+this.getContext().getRequestParameter("userId")));
	};

	// 判断token
	Model.prototype.isToken = function() {
		// 判断用户是否登录
		var result = common.isToken();
		if (result.bool) {
			this.userId = result.userId;
			this.nickName = result.nickName;
		} else {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./login.w'));
		}
		return result.bool;
	};

	Model.prototype.newReciteDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "(state=1 or state=5) and status=1");
	};

	Model.prototype.hotReciteDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "(state=1 or state=5) and status=1");
	};

	Model.prototype.newPoetryDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "(state=1 or state=5) and status=1");
	};

	Model.prototype.hotPoetryDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "(state=1 or state=5) and status=1");
	};

//	Model.prototype.modelActive = function(event){
//		var value = $(".dbt").find("li.active").attr("data-value");
//		if (value == 'recite') {
//			var ls = $(".lsdbt").find("li.active").attr("data-value");
//			if (ls == 0) {
//				this.comp("newReciteData").refreshData();
//				this.lazyLoad();
//			} else if (ls == 1) {
//				this.comp("hotReciteData").refreshData();
//				this.lazyLoad1();
//			} else {
//				this.comp("fyReciteData").refreshData();
//				this.lazyLoad2();
//			}
//		} else {
//			var sg = $(".sfdbt").find("li.active").attr("data-value");
//			if (sg == 0) {
//				this.comp("newPoetryData").refreshData();
//			} else {
//				this.comp("hotPoetryData").refreshData();
//			}
//		}
//	};

//	Model.prototype.modelLoad = function(event){
//		this.lazyLoad();
//		var self = this;
//		$(".lsdbt li").on("click", function(){
//			var ss = $(this).attr("data-value");
//			if (ss == 1 && self.second) {
//				self.second = false;
//				setTimeout(function(){
//					self.lazyLoad1();
//				}, 500);
//			} else if (ss == 2 && self.third) {
//				self.third = false;
//				setTimeout(function(){
//					self.lazyLoad2();
//				}, 500);
//			}
//		});
//
//	};
	
//	Model.prototype.lazyLoad = function() {
//		$("li.lazy").lazyload({
//			effect : "show",
//			container: $(".lazyUl"),
//			failurelimit : 2,
//			load : function(e) {
//				$(this).removeClass("lazy");
//			}
//		});
//		
//	};
//	Model.prototype.lazyLoad1 = function() {
//		$("li.lazy1").lazyload({
//			effect : "show",
//			container: $(".lazyUl1"),
//			failurelimit : 2,
//			load : function(e) {
//				$(this).removeClass("lazy1");
//			} 
//		});
//	};
//	Model.prototype.lazyLoad2 = function() {
//		$("li.lazy2").lazyload({
//			effect : "show",
//			container: $(".lazyUl2"),
//			failurelimit : 2,
//			load : function(e) {
//				$(this).removeClass("lazy2");
//			}
//		});
//	};
//
//	Model.prototype.reciteScrollViewPullUp = function(event) {
//		var self = this;
//		if (this.sroll1) {
//			setTimeout(function(){
//				self.lazyLoad();
//			}, 500);
//		}
//	};
//
//	Model.prototype.scrollView3PullUp = function(event){
//		var self = this;
//		if (this.sroll2) {
//			setTimeout(function(){
//				self.lazyLoad1();
//			}, 500);
//		}
//	};
//
//	Model.prototype.scrollView5PullUp = function(event){
//		var self = this;
//		if (this.sroll3) {
//			setTimeout(function(){
//				self.lazyLoad2();
//			}, 500);
//		}
//	};
//
//	Model.prototype.reciteScrollViewScrollEnd = function(event){
//		var ss = $(".newScroll").find(".x-pull-up-label").text();
//		if (ss == "已经到最后.") {
//			this.sroll1 = false;
//		}
//	};
//
//	Model.prototype.scrollView5ScrollEnd = function(event){
//		var ss = $(".fyScroll").find(".x-pull-up-label").text();
//		if (ss == "已经到最后.") {
//			this.sroll3 = false;
//		}
//	};
//
//	Model.prototype.scrollView3ScrollEnd = function(event){
//		var ss = $(".hotScroll").find(".x-pull-up-label").text();
//		if (ss == "已经到最后.") {
//			this.sroll2 = false;
//		}
//	};
//
//	Model.prototype.scrollView5PullDown = function(event){
//		var self = this;
//		setTimeout(function(){
//			self.lazyLoad2();
//		}, 500);
//	};
//
//	Model.prototype.reciteScrollViewPullDown = function(event){
//		var self = this;
//		setTimeout(function(){
//			self.lazyLoad();
//		}, 500);
//	};
//
//	Model.prototype.scrollView3PullDown = function(event){
//		var self = this;
//		setTimeout(function(){
//			self.lazyLoad1();
//		}, 500);
//	};

	Model.prototype.modelLoad = function(event){
		//this.comp("popOver1").hide();
		$(".loadingDiv").addClass("hide");
		$(".fristcontent").removeClass("hide");
	};

	return Model;
});