define(function(require){
//	var justep = require("$UI/system/lib/justep");
//	var common = require("./common");
	var $ = require("jquery");

	var Model = function(){
		this.callParent();
	};

	// 初始
	Model.prototype.modelLoad = function(event){
		var sexData = this.comp("sexData");
		sexData.newData({
			defaultValues : [
			   {label: '男', value: 1},
			   {label: '女', value: 2}
			]
		});
		$(".cityOk").show();
	};
	
	// 选择城市
	Model.prototype.labelEdit8Click = function(event){
		var ditpicker = this.comp('distpicker21');
		ditpicker.show();
	};	
	Model.prototype.doOK = function(event) {
		var comp = event.source;
		var value = comp.getValue();
		this.comp('input5').val(value.province + ' ' + value.city + ' ' + value.district);
	};
	
	// 获取当前用户信息
	Model.prototype.userDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "userId=" + this.getContext().getRequestParameter("userId"));
	};
	
	// 保存信息
	Model.prototype.saveBtnClick = function(event){
		var alertDialog = this.comp("alertDialog");
		var jj = this.comp("textarea1").val();
		if (jj.replace(/[^\x00-\xff]/g,"**").length > 80) {
			alertDialog.show({message:'简介最多输入40个字'});
			return false;
		}
		var num =this.comp("input4").val();
		var pattern = /^1[34578]\d{9}$/;
		if (num!="") {
			if (!pattern.test(num)) {
				alertDialog.show({
					message : '手机号码格式不正确'
				});
				return false;
			}
		}
		this.comp("userData").saveData({
			"onSuccess":function(event){
				alertDialog.show({message: '保存成功！'});
			}
		});
	};
	
	var wordsLimit = function(opts) {
        var noteCount = 0;
        if (opts.isbyte) {
            noteCount = $(opts.txtNote).val().match(/[\x00-\xff]/ig).length;
        } else {
            noteCount = $(opts.txtNote).val().length;
        }
        if (noteCount > opts.limitCount) {
            if (opts.isbyte) {
                $(opts.txtNote).val($(opts.txtNote).val().substring(0,opts.txtlength+ Math.floor((opts.limitCount - opts.txtByte) / 2)));
                $(opts.txtLimit).text(opts.txtByte);
            } else {
                $(opts.txtNote).val($(opts.txtNote).val().substring(0,opts.limitCount));
                $(opts.txtLimit).text(noteCount);
            };
        } else {
            $(opts.txtLimit).text(noteCount);
        };
	};
	
	Model.prototype.textarea1Change = function(event){
		wordsLimit({
    		txtNote : ".jj_text",
    		txtLimit : "#termLen",
    		isbyte : false,
    		limitCount : 40
        });
	};

	
	Model.prototype.textarea1Keydown = function(event){
		wordsLimit({
            txtNote : ".jj_text",
            txtLimit : "#termLen",
            isbyte : false,
            limitCount : 40
        });
	};
	
	Model.prototype.textarea1Keyup = function(event){
		wordsLimit({
            txtNote : ".jj_text",
            txtLimit : "#termLen",
            isbyte : false,
            limitCount : 40
        }); 
	};
	
	Model.prototype.backBtnClick = function(event){
		common.getBackCount();
	};
	
	return Model;
});