define(function(require) {
	var $ = require("jquery");
	require("$UI/poetry/swiper/dist/js/swiper.min");
	require("css!./swiper/dist/css/swiper.min").load();
	var justep = require("$UI/system/lib/justep");
	require("cordova!cordova-plugin-device");
	require("cordova!cn.jpush.phonegap.JPushPlugin");
	var common = require("./common");

	var Model = function() {
		this.callParent();
		this.userId = 0;
		this.nickName;
		this.registrationID;
		this.first = true;
		this.swiper;
	};
	
	Model.prototype.swiperFunction = function() {
//		if (this.swiper != null && this.swiper != undefined) {
//			this.swiper.destroy();
//		}
		this.swiper = new Swiper('.swiper-container1', {
			lazyLoading : true,
			lazyLoadingInPrevNext : true,
			lazyLoadingInPrevNextAmount:1,
			slidesPerView: 1,
			paginationClickable: false,
			spaceBetween: 25, 
			observer: true, // 修改swiper自己或子元素时，自动初始化swiper
			observeParents: true, // 修改swiper的父元素时，自动初始化swiper
			onInit: function(swiper){ // Swiper初始化了
				//alert(swiper.activeIndex);提示Swiper的当前索引
				$(".loadingDiv").addClass("hide");
				$(".tjlist").removeClass("hide");
		    },
		    onSlideChangeStart: function(swiper){
			  var index=swiper.activeIndex;
			  if(index>0){
				  $('.backBtn').removeClass('hide');
			  }else{
			     $('.backBtn').addClass('hide');
			}
		  },

		});
		//this.backBtnClick();
	};
	Model.prototype.backBtnClick = function(event){
		this.swiper.slideTo(0, 1000);

	};
	// 初始滑动效果
	Model.prototype.model2Load = function(event) {
		if (device.platform == "Android") {
			$(".x-has-iosstatusbar").css({
				"top" : "0px"
			});
		} else {
			$(".x-has-iosstatusbar").css({
				"top" : "20px"
			});
		}
		// localStorage.removeItem("token");
		this.swiperFunction();
		if (this.isToken() && this.first) {
			this.jpush();
		}
		var isDown = localStorage.getItem("download");
		if (isDown != 1) {// 第一次打开app
			justep.Baas.sendRequest({
				"url" : "/poetry/statistics",
				"action" : "statistics",
				"async" : false,
				"params" : {},
				"success" : function(ret) {
					localStorage.setItem("download", 1);
				}
			});
		}
	};
//		params = {
//		date : lastdate, 
//		downloadCount : 1,
//		addUserCount : 0,
//		addPoetryCount : 0,
//		addReciteCount : 0,
//		addPCommentCount : 0,
//		addRCommentCount : 0,
//		delUserCount : 0,
//		delPoetryCount : 0,
//		delReciteCount : 0,
//		delCommentCount : 0
//	};
//			var nowDate = this.getNowFormatDate();
//			if (nowDate == date) {
//				statisticsData.setValue("downloadCount", statisticsData.getValue("downloadCount") + 1);
//			} else {			
//				statisticsData.newData({
//					"defaultValues" : [ {
//						"date" : nowDate, 
//						"downloadCount" : 1,
//						"addUserCount" : 0,
//						"addPoetryCount" : 0,
//						"addReciteCount" : 0,
//						"addPCommentCount" : 0,
//						"addRCommentCount" : 0,
//						"delUserCount" : 0,
//						"delPoetryCount" : 0,
//						"delReciteCount" : 0,
//						"delCommentCount" : 0
//					} ]
//				});
//			}
//			statisticsData.saveData({
//				"onSuccess" : function(event) {
//					localStorage.setItem("download", 1);
//				}
//			});
//		}

	
//	Model.prototype.getNowFormatDate= function(){
//		var date = new Date();
//		var seperator1 = "-";
//		var month = date.getMonth() + 1;
//		var strDate = date.getDate();
//		if (month >= 1 && month <= 9) {
//			month = "0" + month;
//		}
//		if (strDate >= 0 && strDate <= 9) {
//			strDate = "0" + strDate;
//		}
//		var currentdate = date.getFullYear() + seperator1 + month + seperator1+ strDate ;
//		return currentdate;
//	};
	
	Model.prototype.jpush = function() {
		var self = this;
		this.first = false;
		document.addEventListener("deviceready", self.onDeviceReady.bind(this), false);
		document.addEventListener("jpush.receiveNotification", self.onReceiveNotification.bind(this), false);
		document.addEventListener("jpush.receiveMessage", self.onReceiveMessage.bind(this), false);

		var count = localStorage.getItem("noReadMessage");
		if (count != null && count != undefined && count > 0) {
			$(".news").removeClass("hide");
		}
	};

	Model.prototype.onDeviceReady = function() {
		window.plugins.jPushPlugin.init();
		var self = this;
		window.plugins.jPushPlugin.getRegistrationID(function(registrationID) {
			self.registrationID = registrationID;
//			set.TagsWithAlias(self.nickName, self.userId);
//			self.setTags(self.nickName);
			self.setAlias(self.userId);
		});
//		window.plugins.jPushPlugin.setDebugMode(false);
//		window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
	};

	Model.prototype.setTags = function(tags) {
		if (window.plugins && window.plugins.jPushPlugin) {
			window.plugins.jPushPlugin.setTags(tags);
		}
	};

	Model.prototype.setAlias = function(alias) {
		if (window.plugins && window.plugins.jPushPlugin) {
			window.plugins.jPushPlugin.setAlias(alias);
		}
	};

	Model.prototype.setTagsWithAlias = function(tags, alias) {
		if (window.plugins && window.plugins.jPushPlugin) {
			window.plugins.jPushPlugin.setTagsWithAlias(tags, alias);
		}
	};

	Model.prototype.onReceiveNotification = function(event) {
		var alertContent;
		if (device.platform == "Android") {
			alertContent = window.plugins.jPushPlugin.receiveNotification.alert;
		} else {
			alertContent = event.aps.alert;
		}
		var token = localStorage.getItem("token");
		if (token == null || token == undefined) {
			localStorage.setItem("noReadMessage", "1");
		} else {
			$('.news').removeClass("hide");
		}
//        window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
//        alert("2" + alertContent);
	};

	Model.prototype.onReceiveMessage = function() {
		var message;
		if (device.platform == "Android") {
			message = window.plugins.jPushPlugin.receiveMessage.message;
		} else {
			message = event.content;
		}
		//        alert(message);
		var token = localStorage.getItem("token");
		if (token == null || token == undefined) {
			localStorage.setItem("noReadMessage", "1");
		} else {
			$('.news').removeClass("hide");
		}
//        window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
//        alert("3" + message);
	};
	
	// 获取背景图
	Model.prototype.getImg = function(str) {
		return common.imgUrl(str, "ph400");
	};

	// 获取未删除状态诗歌
//	Model.prototype.poetryDataBeforeRefresh = function(event) {
//		event.source.setFilter("filter", "state=5 and to_days(createTime) !=  to_days(now())");
//	};
	
	// 点击诗歌，跳转诗歌朗诵列表页面
	Model.prototype.li1Click = function(event) {
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./sdDetail.w?reciteId="+row.getID()+"&userId="+this.userId));
			
	};

	// 朗诵页面
	Model.prototype.button1Click = function(event) {
		
	    var num = $("#li1").length;
		var i = parseInt(Math.random() * num);
		var id = $(".swiper-slide:eq(" + i + ")").attr("value");
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./search.w?tjPoetryId=' + id), {
			userId : this.userId
		});
	};

	// 加载我的页面
	Model.prototype.wdBtnClick = function(event) {
		if (this.isToken()) {
		    localStorage.removeItem("noReadMessage");
			$(".news").addClass("hide");
			var container = this.comp("wdContainer");
			container.refresh(require.toUrl("./wd.w?userId=" + this.userId), {
				nickName : this.nickName
			});
		} else {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./login.w'));
		}
	};

	// 加载发现页面
	Model.prototype.xxBtnClick = function(event) {
		var container = this.comp("xxContainer");
		container.load(require.toUrl("./find.w?userId=" + this.userId));
	};

	// 加载订阅页面
	Model.prototype.dyBtnClick = function(event) {
		var container = this.comp("dyContainer");
		if (this.isToken()) {
			var data = this.comp("subscribeData");
			data.setFilter("filter", "userId=" + this.userId);
			data.refreshData();
			var count = data.count();
			if (count > 0) {
				container.load(require.toUrl("./dy.w?userId=" + this.userId));
			} else {
				container.load(require.toUrl('./dysearch.w?userId=' + this.userId));
			}
		} else {
			container.load(require.toUrl('./dysearch.w?userId=' + this.userId));
		}
	};

	// 跳转登录页面
	Model.prototype.loginBtnClick = function(event) {
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./login.w'));
	};

	Model.prototype.model2Active = function(event) {
		var token = this.isToken();
		var contents = this.comp("index");
		var active = contents.getActiveIndex();
		if (active == 0) { // 精选
//			var self = this;
//			this.comp("poetryTjData").refreshData({
//				'onSuccess': function(event) {
//					self.swiperFunction();
//				}
//			});
		//	this.comp("poetryTjData").refreshData();
		} else if (active == 1) { // 订阅
//			if (token) {
//				var data = this.comp("subscribeData");
//				data.setFilter("filter", "userId=" + this.userId);
//				data.refreshData();
//				if (data.count() > 0) {
//					var container = this.comp("dyContainer");
//					container.getInnerModel().modelActive();
//					container.refresh(require.toUrl("./dy.w?userId=" + this.userId));
//				} else {
//					contents.to("jxContent");
//				}
//			} else {
//				contents.to("jxContent");
//			}
		} else if (active == 2) { // 发现
//			if (token) {
//				var container = this.comp("xxContainer");
//				container.getInnerModel().modelActive();
//				container.refresh(require.toUrl("./find.w?userId=" + this.userId));
//			} else {
//				contents.to("jxContent");
//			}
		} else if (active == 3) { // 我的
			if (token) {
				var container1 = this.comp("wdContainer");
				if (container1.get("src") == "") {
					container1.load(require.toUrl("./wd.w?userId=" + this.userId), {
						nickName : this.nickName
					});
				} else {
					container1.getInnerModel().modelActive();
				}
//				container.load(require.toUrl("./wd.w?userId=" + this.userId), {
//					nickName : this.nickName
//				});
			} else {
				contents.to("jxContent");
			}
		}
		if (token && this.first) {
			this.jpush();
		}
	};

	Model.prototype.isToken = function() {
		// 判断用户是否登录
		var result = common.isToken();
		if (result.bool) {
			this.userId = result.userId;
			this.nickName = result.nickName;
		}
		return result.bool;
	};


	return Model;
});