define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");

	var Model = function(){
		this.callParent();
		this.row;
	};
	
	Model.prototype.modelLoad = function(event){
			if (device.platform == "Android") {
			$(".x-has-iosstatusbar").css({"top":"0px"});
		} else {
			$(".x-has-iosstatusbar").css({"top":"20px"});
		}
		$(".loadingDiv").addClass("hide");
		$(".dylist").removeClass("hide");
	};
	
	// 获取当前用户的订阅
	Model.prototype.subDataBeforeRefresh = function(event){
		var data = event.source;
		data.filters.setVar("userId", this.getContext().getRequestParameter("userId"));
	};
	
	// 获取头像
    Model.prototype.getHeadImg = function(str) {
    	return common.headUrl(str);
    };

    // 点击头像跳转用户个人展示页面
	Model.prototype.image1Click = function(event){
		var row = event.bindingContext.$object;
		if(row.val("state")==1){
				common.getHrefCount();
				justep.Shell.showPage(require.toUrl('./gry.w?userId=' + row.val("subUserId")));
		}

	};
	
	// 点击昵称跳转用户个人展示页面
	Model.prototype.span3Click = function(event){
		var row = event.bindingContext.$object;
		if(row.val("state")==1){
				common.getHrefCount();
				justep.Shell.showPage(require.toUrl('./gry.w?userId=' + row.val("subUserId")));
		}
	};
	
	// 取消订阅
	Model.prototype.cancelBtnClick = function(event){
		this.row = event.bindingContext.$object;
		this.comp("alertDialog").show();
	};
	
	Model.prototype.alertDialogOK = function(event){
		this.comp("subData").deleteData(this.row);
		this.comp("subData").saveData();
		this.comp("subData").refreshData();
	};
	
	Model.prototype.backBtnClick = function(event){
		common.getBackCount();
	};
	
	return Model;
});