define(function(require){
	var $ = require('jquery');
	var versionInfo;
	var Browser = require('$UI/system/lib/base/browser');
	var MsgDialog = require("$UI/system/components/justep/messageDialog/messageDialog");
	require("cordova!cordova-plugin-app-version");
	require("cordova!cordova-plugin-inappbrowser");
	
	var parentNode = $('body').find('.window').get(0);
	
	var VersionChecker = function(){
		this.env = "browser";
		if(Browser.isX5App){
			if(Browser.isAndroid){
				this.env = "androidApp";
			}
			if(Browser.isIOS){
				this.env = "iosApp";
			}
		}
		//this.env = "androidApp";
		
		this.versionMsg = new MsgDialog({
			parentNode:parentNode
		});
		var $domNode = this.versionMsg.$domNode;
		$domNode.find('.OK').text('更新');
//		$domNode.find('.No').text('取消');
		this.versionMsg.on('onOK', function(event) {
			//下载
			this.download();
		}, this);
//		this.versionMsg.on('onNo', function(event) {
//			//取消
//			this.cancel();
//		}, this);
		this.versionMsg1 = new MsgDialog({
			parentNode:parentNode
		});
	};
	
	VersionChecker.prototype.check = function(){
		var self = this;
//		cordova.getAppVersion.getVersionNumber(function (currentVersion) {
//			require(['./appVersion_in_server'],function(version_info){
//				if(version_info){
//					versionInfo = version_info;
//					if(versionInfo[self.env] && currentVersion < versionInfo[self.env].version && window.localStorage &&
//							localStorage.getItem('versionIgnore') !== versionInfo[self.env].version){
//						self.versionMsg.show({
//							type : "YesNoCancel",
//							title : "版本更新",
//							message : versionInfo[self.env].changeLog
//						});
//					}
//				}
//			},function(){
//				console.log('检查版本失败！');
//			});
//		});
		cordova.getAppVersion.getVersionNumber(function (currentVersion) {
//			var self = this;
			require(['./appVersion_in_server'],function(version_info){
				if(version_info){
					self.versionInfo = version_info;
					if(self.versionInfo[self.env] && currentVersion < self.versionInfo[self.env].version){
						self.versionMsg.show({
							type : "OKCancel",
							title : "版本更新",
							message : self.versionInfo[self.env].changeLog
						});
					} else {
						self.versionMsg1.show({
							type : "OK",
							title : "版本更新",
							message: '当前是最新版本'
						});
					}
				}
			},function(){
				console.log('检查版本失败！');
			});
		});
	};
	
	VersionChecker.prototype.cancel = function() {
		this.versionMsg.hide();
	}
	
	VersionChecker.prototype.download = function() {
		window.open(versionInfo[this.env].downloadUrl,'_system');
	};
	
//	VersionChecker.prototype.ignore = function(){
//		if(window.localStorage){
//			localStorage.setItem('versionIgnore',versionInfo[this.env].version);
//		}
//	};
	
	return new VersionChecker();
});