define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");

	var Model = function(){
		this.callParent();
		this.userId;
		this.nickName;
	};

	// 获取当前诗歌
	Model.prototype.poetryDataBeforeRefresh = function(event){
		event.source.setFilter("filter", "poetryId=" + this.getContext().getRequestParameter("poetryId"));
	};
	
	// 获取又拍云全路径
    Model.prototype.getUrl = function(str) {
    	return common.imgUrl(str, "ph400");
    };
    
	// 转换格式
    Model.prototype.toPoetryFormat = function(str) {
    	if (str != undefined) {
    		return common.textToBr(str);
    	} else {
    		return "";
    	}
    };

	// 发布
	Model.prototype.button2Click = function(event){
		if (this.isToken()) {
			var alertDialog = this.comp("alertDialog");
			var title = $.trim(this.comp("title").val());
			if (title == "" || title == null || title == undefined) {
				alertDialog.show({message: '请输入标题'});
				return false;
			}
			var content = $.trim(this.comp("content").val());
			if (content == "" || content == null || content == undefined) {
				alertDialog.show({message: '请输入内容'});
				return false;
			}
			this.comp("popOver1").show();
			var self = this;
			var author = $.trim(this.comp("author").val());
			var data = this.comp("poetryData");
			data.setValue("title", $.trim(this.comp("title").val()));
			data.setValue("author", author == "" ? '佚名' : author);
			data.setValue("content", $.trim(this.comp("content").val()));
			data.setValue("state", 1);
			data.saveData({
				"onSuccess": function(event) {
					self.comp("popOver1").hide();
					self.comp("fabuSuccessDialog").show();
				}
			});
		}
	};
	
	Model.prototype.fabuSuccessDialogOK = function(event){
	
		common.getBackCount();
		//justep.Shell.closePage();
		//justep.Shell.showPage(require.toUrl("./ycsgDetail.w?poetryId="+this.comp("poetryData").getCurrentRowID()+"&userId="+this.getContext().getRequestParameter("userId")));
	};
	
	// 判断用户是否登录
	Model.prototype.isToken = function() {
		var result = common.isToken();
		if (result.bool) {
			this.userId = result.userId;
			this.nickName = result.nickName;
		} else {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./login.w'));
		}
		return result.bool;
	};

	Model.prototype.modelLoad = function(event){
	if (device.platform == "Android") {
			$(".x-has-iosstatusbar").css({"top":"0px"});
		} else {
			$(".x-has-iosstatusbar").css({"top":"20px"});
		}
		this.comp("popOver1").hide();
		this.comp("panel1").removeClass("hide");
	};

	Model.prototype.backBtnClick = function(event){
		common.getBackCount();
	};

	return Model;
});