define(function(require) {
	require("cordova!cordova-plugin-geolocation");
	var network = require("$UI/system/api/native/network");
	var justep = require("$UI/system/lib/justep");
	var $ = require("jquery");
	require("./js/md5");
	//document.addEventListener("deviceready", onDeviceReady, false);
	
//	var src = $("html").hasClass("iosstatusbar");
//	if (src) {
//		$(".x-panel-top").css({"top":"108px"});
//	}
	document.addEventListener("offline", onOffline, false);
	function onOffline() {
		justep.Util.hint('当前网络不可用，请检查网络');
	}
//	var isTitle = true;
//	function onDeviceReady(){
//		var interval = setInterval(function(){
//			network.getNetworkType({
//			    success : function(res) {
//			    	if (res.networkType == 'none') {
//			    		if (isTitle) {
//				    		justep.Util.hint('当前网络不可用，请检查网络');
//				    		isTitle = false;
//			    		}
//			    	} else {
//			    		isTitle = true;
//			    	}
//				},
//			    fail : function(res) {
//			    	if (isTitle) {
//			    		justep.Util.hint('当前网络不可用，请检查网络');
//			    		isTitle = false;
//		    		}
//			    }
//			});
//		}, 1000);
//	};
	
	var common = {};
	// 分享朗诵地址
	common.shareReciteUrl = "http://poetryweb.blogchina.com/poetryWeb/xt/recite/reciteList/"; // 219.238.250.40:9090
	// 分享诗歌地址
	common.sharePoetryUrl = "http://poetryweb.blogchina.com/poetryWeb/xt/recite/poetrysList/"; // poetryweb.blogchina.com
	// 头像地址
	common.headUrl = function(str) {
		if (str != undefined && str != null && str != "") {
			return "http://poetryapp.blogchina.com/poetry_bokee/headPic/" + hex_md5(""+str+"") + "!pt50";
			//return "http://poetryapp.blogchina.com/poetry_test/headPic/" + hex_md5(""+str+"") + "!pt50";
    	} else {
    		return require.toUrl("./img/mrtx.png");
    	}
	};
	// 背景图、朗诵文件地址
	common.imgUrl = function(str, format) {
		if (str != undefined) {
			if (str.indexOf(".wav") > -1) {
				return "http://poetryapp.blogchina.com"+ str;
			} else {
				return "http://poetryapp.blogchina.com"+ str + "!" + format;
			}
    	}
	};
	// 判断是否注册登录
	common.isToken = function() {
		var ss = {};
		var token = localStorage.getItem("token");
		if (token != null && token != "" && token != undefined) {
			// 验证token
			justep.Baas.sendRequest({
				"url" : "/poetry/user",
				"action" : "isToken",
				"params" : {
					"token" : token
				},
				"success" : function(resultData) {
					if (resultData.state == 1) {
						ss.userId = resultData.userId;
						ss.nickName = resultData.nickName;
						ss.bool = true;
					} else {
						localStorage.removeItem("token");
						ss.bool = false;
					}
				}
			});
		} else {
			ss.bool = false;
		}
		return ss;
	};
	// 发布时间转换格式
	common.fbTimeToFormat = function(time) {
		var DateTime = new Date();
		var uploadTime = time;
		var diff = justep.Date.diff(uploadTime, DateTime, "n");

//		var a = time.getFullYear(); // 获取完整的年份(4位,1970-????)
		var b = time.getMonth() + 1; // 获取当前月份(0-11,0代表1月)
		var c = time.getDate(); // 获取当前日(1-31)
//		var d = time.getHours(); // 获取当前小时数(0-23)
//		var e = time.getMinutes(); // 获取当前分钟数(0-59)

//		uploadTime = a + "年" + b + "月" + c + "日" + d + "时" + e + "分";
//		uploadTime = b + "." + c + " " + d + ":" + e;
		uploadTime = b + "." + c;

		var hour = parseInt(diff / 60);// 小时数
		if (hour < 24 && hour >= 1) {
			uploadTime = hour + "小时前";
		} else if (hour < 1) {
			var min = diff % 60;
			uploadTime = (min > 0 ? (min + '分钟') : '1分钟') + "前";
		}
		return uploadTime;
	};
	// 朗诵时长转换
	common.durationToFormat = function(time) {
		var hour = parseInt(time / 3600);// 小时数
		var min = parseInt(time / 60);// 分钟数
		if (min >= 60) {
			min = min % 60;
		}
		var lastsecs = time % 60;
		if (hour < 10)
			hour = "0" + hour;
		if (min < 10)
			min = "0" + min;
		if (lastsecs < 10)
			lastsecs = "0" + lastsecs;

		return (hour > 0 ? (hour + ':') : '') + (min > 0 ? (min + '\'') : '') + (lastsecs > 0 ? (lastsecs + '\"') : '1\"');
	};
	// 文本换行
	common.textToBr = function(str) {
//		str = str.replace(/\。\n/g, '。');
//    	str = str.replace(/\.\n/g, '.');
//    	str = str.replace(/\,\n/g, ',');
//    	str = str.replace(/\，\n/g, '，');
//		if (str.indexOf("\r\n") > -1 || str.indexOf("\n") > -1) {
//			alert(str.indexOf("\r\n") + " " + str.indexOf("\n"));
			str = str.replace(/<\/?(img|a)[^>]*>/gi, '');
			str = str.replace(/\n/g, '<br/>');
			str = str.replace(/(\r\n)/g, '<br/>');
//			str = str.replace(/\s+/g, '<br/>');
//		} else {
//			str = str.replace(/\s+/g, '<br/>');
			str = str.replace(/\。/g, '。<br/>');
	    	str = str.replace(/\./g, '.<br/>');
	    	str = str.replace(/\,/g, ',<br/>');
	    	str = str.replace(/\，/g, '，<br/>');
	    	str = str.replace(/\;/g, ';<br/>');
	    	str = str.replace(/\；/g, '；<br/>');
	    	str = str.replace(/\?/g, '?<br/>');
	    	str = str.replace(/\？/g, '？<br/>');
	    	str = str.replace(/\!/g, '!<br/>'); 
	    	str = str.replace(/\！/g, '！<br/>');
//		}
		str = str.replace(/(<br\/>){2,}/g, '<br/>');
    	return str;
	};
	// 获取网络
	common.getNetWork = function() {
		var ss = "";
		network.getNetworkType({
		    success : function(res) {
		    	ss = res.networkType;
		    },
		    fail : function(res) {
		    	ss = res.networkType;
		    }
		});
		return ss;
	};
	// 获取地理位置信息
	common.getGeo = function() {
		var gpsDtd = $.Deferred();
		if (this.wxApi) {
			this.wxApi.exec().done(function(wx) {
				wx.getLocation({
					type : "gcj02",
					success : function(data) {
						gpsDtd.resolve({
							coorType : data.coorType,
							address : data.address,
							longitude : data.longitude,
							latitude : data.latitude
						});
					},
					cancel : function(res) {
						gpsDtd.resolve({
							address : "",
							longitude : 0,
							latitude : 0
						});
					}
				});
			}).fail(function() {
				gpsDtd.resolve({
					address : "",
					longitude : 0,
					latitude : 0
				});
			});
		} else if (navigator.geolocation) {
			var success = function(data) {
				// data.longtitude 经度
				// data.latitude 纬度
				// data.address 文字描述的地址信息
				// data.hasRadius 是否有定位精度半径
				// data.radius 定位精度半径
				// data.type 定位方式
				// data.coorType
				gpsDtd.resolve({
					coorType : data.coorType,
					address : data.address,
					longitude : data.coords.longitude,
					latitude : data.coords.latitude
				});
			};

			var fail = function(e) {
//				justep.Util.hint("获取地理位置失败，暂时采用默认地址");
				gpsDtd.resolve({
					address : "",
					longitude : 0,
					latitude : 0
				});
			};
			/**
			 *  如果在室内 enableHighAccuracy: true 反而误差更大
			 *  如果在室外 enableHighAccuracy: true 相对准确
			 */
			navigator.geolocation.getCurrentPosition(success, fail);
			/*var gpsWatchID = navigator.geolocation.watchPosition(success, fail,{
			timeout: 30*1000,
			maximumAge: 30000,
			enableHighAccuracy: true});*/
		} else {
//			justep.Util.hint("获取地理位置失败，暂时采用默认地址");
			gpsDtd.resolve({
				address : "",
				longitude : 0,
				latitude : 0
			});
		}
		return gpsDtd.promise();
	};
	
	// 计算跳转次数
	common.getHrefCount = function() {
		var hrefCount = 0;
		var count = localStorage.getItem("hrefCount");
		if (count != null && count != undefined) {
			hrefCount = parseInt(count) + 1;
			localStorage.setItem("hrefCount", hrefCount);
		} else {
			localStorage.setItem("hrefCount", 1);
		}
		// 计算返回次数
		var count1 = localStorage.getItem("backCount");
		if (count1 != null && count1 != undefined) {
			var backCount = parseInt(count1);
			if (backCount > 0) {
				localStorage.setItem("backCount", (backCount - 1));
			}
		}
	};
	// 计算返回次数
	common.getBackCount = function() {
		var count = localStorage.getItem("hrefCount");
		var count1 = localStorage.getItem("backCount");
		if (count != null && count != undefined) {
			if (count1 != null && count1 != undefined){
				if (parseInt(count1) > 2) {
					localStorage.removeItem("hrefCount");
					localStorage.removeItem("backCount");
					justep.Shell.closeAllOpendedPages();
					return false;
				}
				if (parseInt(count) > 4) {
					localStorage.setItem("backCount", (parseInt(count1) + 1));
				} else {
					localStorage.setItem("hrefCount", (parseInt(count) - 1));
				}
			} else {
				if (parseInt(count) > 4) {
					localStorage.setItem("backCount", 1);
				}
			}
		}
		justep.Shell.closePage();
	};
	
	window.common = common; //js表达式需要使用
	return common;
});