define(function(require) {
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");
	var $ = require("jquery");
	//require("./js/jquery.lazyload.min");
	var Baas = require("$UI/system/lib/base/baas");
	
	var Model = function() {
		this.callParent();
		this.type = 0;
		this.second = true;
		this.third = true;
		this.sroll0 = true;
		this.sroll1 = true;
	};

	Model.prototype.modelLoad = function(event){
		$(".loadingDiv").addClass("hide");
		$(".tab-content").removeClass("hide");
		//this.lazyLoad();
	//	var self = this;
//		$(".dbt li").on("click", function() {
//			var ss = $(this).attr("data-value");
//			if (ss == 0 && self.second) {
//				self.second = false;
//				setTimeout(function() {
//				//	self.lazyLoad();
//				}, 500);
//			} else if (ss == 1 && self.third) {
//				self.third = false;
//				setTimeout(function() {
//					self.lazyLoad1();
//				}, 500);
//			}
//		});
	};
		
	Model.prototype.reciteDataBeforeRefresh = function(event){
		var userId1 = this.getContext().getRequestParameter("userId");
		event.source.filters.setVar("userId", userId1);
	};
		
	Model.prototype.poetryDataBeforeRefresh = function(event){
		var userId1 = this.getContext().getRequestParameter("userId");
		event.source.filters.setVar("userId", userId1);
	};
	
	// 朗诵和朗诵上传时间操作
	Model.prototype.setUploadPosition = function(time) {
		return common.fbTimeToFormat(time);
	};
	
	// 朗诵时长
	Model.prototype.setAudioPosition = function(time) {
		return common.durationToFormat(time);
	};

	// 获取头像
	Model.prototype.getHeadImg = function(str) {
	    return common.headUrl(str);
	};
	
	//获取背景
	Model.prototype.getImg = function(str) {
		return common.imgUrl(str, "ph400");
	};
	
	// 转换格式
    Model.prototype.toPoetryFormat = function(str) {
    	return common.textToBr(str);
    };

    // 跳转详情页面
	Model.prototype.detailClick = function(event) {
		var userId = this.getContext().getRequestParameter("userId");
		var row = event.bindingContext.$object; // 获取当前行对象
		if (row.val("reciteId") == null) {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl("./ycsgDetail.w?poetryId=" + row.getID() + "&userId=" + userId));
		}
			common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./sdDetail.w?reciteId=" + row.getID() + "&userId=" + userId));
	};

	// 跳转用户个人展示页
	Model.prototype.span3Click = function(event){
		var row = event.bindingContext.$object; // 获取当前行对象
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("reciteUserId")));
	};
	
	Model.prototype.span47Click = function(event){
		var row = event.bindingContext.$object; // 获取当前行对象
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("userId")));
	};
	
	Model.prototype.image1Click = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("reciteUserId")));
	};
	
	Model.prototype.image2Click = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("userId")));
	};
	
	
	Model.prototype.li1Click = function(event){
		this.type = 0;
	};
	
	Model.prototype.li2Click = function(event){
		this.type = 1;
	};
	
//	Model.prototype.modelActive = function(event){
//		this.comp("reciteData").refreshData();
//		this.comp("poetryData").refreshData();
//	};
		
//	Model.prototype.lazyLoad = function() {
//		$("li.lazy").lazyload({
//			effect : "show",
//			container: $(".lazyUl"),
//			failurelimit : 2,
//			load : function(e) {
//				$(this).removeClass("lazy");
//			}
//		});
//	};
//	
//	Model.prototype.scrollView1PullUp = function(event){
//	    var self = this;
//		if (this.sroll0) {
//			setTimeout(function(){
//				self.lazyLoad();
//			}, 500);
//		}
//
//	};
//	Model.prototype.scrollView1ScrollEnd = function(event){
//       var ss = $(".reciteScroll").find(".x-pull-up-label").text();
//		if (ss == "已经到最后.") {
//			this.sroll0 = false;
//		}
//	};
//	
//	Model.prototype.lazyLoad1 = function() {
//		$("li.lazy1").lazyload({
//			effect : "show",
//			container: $(".lazyUl1"),
//			failurelimit : 2,
//			load : function(e) {
//				$(this).removeClass("lazy1");
//			} 
//		});
//	};
//	Model.prototype.scrollView2PullUp = function(event){
//	    var self = this;
//		if (this.sroll1) {
//			setTimeout(function(){
//				self.lazyLoad1();
//			}, 500);
//		}
//
//	};
//	Model.prototype.scrollView2ScrollEnd = function(event){
//     var ss = $(".poetryScroll").find(".x-pull-up-label").text();
//		if (ss == "已经到最后.") {
//			this.sroll1 = false;
//		}
//	};
//		
//	Model.prototype.scrollView1PullDown = function(event){
//			var self = this;
//			setTimeout(function(){
//				self.lazyLoad();
//			}, 500);
//	};
//		
//	Model.prototype.scrollView2PullDown = function(event){
//		var self = this;
//			setTimeout(function(){
//				self.lazyLoad1();
//			}, 500);
//	};
//		
	return Model;
});