define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var ShellImpl = require('$UI/system/lib/portal/shellImpl');
	require("cordova!cordova-plugin-customurlscheme");
	require("cordova!cordova-plugin-umeng");
    var utils= require("./js/utils");
	var Model = function() {
		this.callParent();
		this.eventName = new Date().getTime() + "";
		$(window).on('handleOpenURL.'+this.eventName,this.handleOpenURL);
		var shellImpl = new ShellImpl(this, {
			"contentsXid" : "pages",
			"pageMappings" : {
				"main" : {
					url : require.toUrl('./main.w')
				}
			}
		});
	};

	Model.prototype.modelLoad = function(event){
		justep.Shell.showPage("main");
	};
    Model.prototype.handleOpenURL = function(event,url){
	//	justep.Util.hint("接收到URL参数:  "+url );
//		justep.Util.hint("开发者现在可以根据接收到的URL参数进行不同的处理,在此并不在做展示");	
	};
	Model.prototype.modelUnLoad = function(event){
		$(window).off("handleOpenURL." + this.eventName);
	};
	
	Model.prototype.modelModelConstructDone = function(event){
		utils.showCode(this, "Model");
		utils.showCode(this, "handleOpenURL");
		utils.showCode(this, "modelUnLoad");
		utils.prettyPrint();
	};
	
	//该方法只为code界面的代码显示，并不实际运行
	Model.prototype.Model = function(event){	
//		this.eventName = new Date().getTime() + "";
//		$(window).on('handleOpenURL.'+this.eventName,this.handleOpenURL);
	};
	Model.prototype.modelModelConstruct = function(event) {

		if (device.platform == "Android") {
			MobclickAgent.init("58980fb9e88bad4db7001ed7","Android");
			//MobclickAgent.init();
		} else {
			MobclickAgent.init("58980fb9e88bad4db7001ed7","App Store");
		}
	};
	return Model;
});

