define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/poetry/swiper/dist/js/swiper.min");
	require("css!./swiper/dist/css/swiper.min").load();
	var common = require("./common");
	
	var Model = function(){
		this.callParent();
		this.userId;
		this.swiper;
	};

	Model.prototype.modelLoad = function(event){
		$(".loadingDiv").addClass("hide");
		$(".swiper-container").removeClass("hide");
		this.swiper = new Swiper('.swiper-container', {
			slidesPerView : 'auto',
			paginationClickable : true,
			spaceBetween : 25
		});
	};
	
	// 获取背景图
	Model.prototype.getImg = function(str) {
		return common.imgUrl(str, "ph400");
	};

	// 获取未删除状态诗歌
	Model.prototype.poetryDataBeforeRefresh = function(event) {
		event.source.setFilter("filter", "(state=1 or state=5)");
	};
	
	// 点击诗歌，跳转诗歌朗诵列表页面
	Model.prototype.li1Click = function(event) {
		var row = event.bindingContext.$object; // 获取当前行对象
		if (row.val("reciteCount") > 0) {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./sglsList.w?poetryId=' + row.val("poetryId") + '&userId=' + this.userId + "&title=" + row.val("title")));
		} else {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl("./ycsgDetail.w?poetryId=" + row.val("poetryId") + "&userId=" + this.userId));
		}
	};

	Model.prototype.modelParamsReceive = function(event){
		this.userId = event.params.userId;
	};

	Model.prototype.button3Click = function(event){
		this.swiper.destroy(false);
		this.comp("poetryTjData").refreshData({
				'onSuccess': function(event) {
					self.swiper = new Swiper('.swiper-container', {
						slidesPerView : 'auto',
						paginationClickable : true,
						spaceBetween : 25
					});
				}
			});
	};

	return Model;
});