define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");
	
	var Model = function(){
		this.callParent();
		this.userId = 0;
		this.nickName = "";
	};
	
	// 获取头像
    Model.prototype.getHeadImg = function(str) {
    	return common.headUrl(str);
    };
    
//    Model.prototype.getUser = function() {
////    	if (this.getContext().getRequestParameter("userId") != 0 && this.getContext().getRequestParameter("userId") != null && this.getContext().getRequestParameter("userId") != undefined) {
////			this.userId = this.getContext().getRequestParameter("userId");
////				alert(this.userId+"+3")
////		} else {
//			this.isToken();
////		}
//    };

    // 获取用户信息
	Model.prototype.userDataBeforeRefresh = function(event){
		this.comp("wdContents").removeClass("hide");
		this.isToken();
		event.source.filters.setVar("userId", this.userId);
	};
    
	// 接收参数
	Model.prototype.modelParamsReceive = function(event){
		this.userId = this.getContext().getRequestParameter("userId");
		this.nickName = event.params.nickName;
	};
	
	// 我写诗
	Model.prototype.readPoetryBtnClick = function(event){
		if (this.isToken()) {
			var data = {
				userId: this.userId,
				nickName: this.nickName
			};
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./wyxs_wz.w'), data);
		}
	};

	// 我的订阅
	Model.prototype.wddyClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./wddy.w?userId=' + this.userId));
	};

	// 我的收藏
	Model.prototype.wdscClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./wdsc.w?userId=' + this.userId));
	};

	// 我的朗诵
	Model.prototype.wdlsClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./wdls.w?userId=' + this.userId));
	};

	// 我的诗歌
	Model.prototype.wdsgClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./wdsg.w?userId=' + this.userId));
	};

	// 草稿箱
	Model.prototype.cgxClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./cgx.w?userId=' + this.userId));
	};

	// 个人资料
	Model.prototype.grzlBtnClick = function(event){
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./grzl.w?userId=' + this.userId));
	};

	// 设置
	Model.prototype.szClick = function(event){
		this.comp("wdContents").addClass("hide");
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl('./sz.w'));
	};
	//跳转信息中的评论
	Model.prototype.col1Click = function(event){
	    var userId=this.userId;	  
	    if(this.comp("userData").getValue("commentCount")>0){
	    justep.Baas.sendRequest({
			"url" : "/poetry/comment",
			"action" : "isRead",
			"async" : false,
			"params" : {
				userId : userId
			},
		});
	  	}
	  	common.getHrefCount();
	    justep.Shell.showPage(require.toUrl("./xx_pl.w?userId="+userId));
	};
    //跳转信息中的通知
	Model.prototype.col3Click = function(event){	
	    var userId=this.userId;
	    
		if(this.comp("userData").getValue("messageCount")>0){
		justep.Baas.sendRequest({
			"url" : "/poetry/message",
			"action" : "isRead",
			"async" : false,
			"params" : {
				userId : userId
			},
		});
		}
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./xx_tz.w?userId="+userId));
	};

	Model.prototype.modelActive = function(event){
		this.comp("userData").refreshData();
		
	};

	// 判断token
	Model.prototype.isToken = function() {
		// 判断用户是否登录
		var result = common.isToken();
		if (result.bool) {
	
			this.userId = result.userId;
			this.nickName = result.nickName;
		} else {
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl('./login.w'));
		}
		return result.bool;
	};


//	Model.prototype.modelLoad = function(event){
//	  var commentData = this.comp('commentData');
//	  commentData.setFilter("filter", "isRead=1 and objectUserId="+this.userId);
//	  commentData.refreshData();
//	  if(commentData.count()>0){
//	  $(".news1").removeClass("hide");
//	  }
//	  
//	  var messageData = this.comp('messageData');
//	  messageData.setFilter("filter", "isRead=1 and userId="+this.userId);
//	  messageData.refreshData();
//	  if(messageData.count()>0){
//	  $(".news2").removeClass("hide");
//	  }

//	};

//	Model.prototype.userDataAfterRefresh = function(event){
//		var data = this.comp("userData");
//		var commentCount = data.getValue('commentCount');
//		var messageCount = data.getValue('messageCount');
//		if (commentCount > 0) {
//		$(".news1").removeClass("hide");
//		}
//		if (messageCount > 0) {
//		$(".news2").removeClass("hide");
//		}
//	};


	Model.prototype.modelLoad = function(event){
		this.comp("wdContents").removeClass("hide");
	};


	Model.prototype.modelInactive = function(event){
		this.comp("wdContents").addClass("hide");
	};


	return Model;
});