define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");
	
	var Model = function(){
		this.callParent();
		this.userId = 0;
	};
	Model.prototype.modelLoad = function(event){
		if (device.platform == "Android") {
			$(".x-has-iosstatusbar").css({"top":"0px"});
		} else {
			$(".x-has-iosstatusbar").css({"top":"20px"});
		}
		$(".loadingDiv").addClass("hide");
		$(".x-scroll").removeClass("hide");
	};
	
	//设置显示的时间格式
    Model.prototype.setTimeFormat = function(time, format) {
    	var dateArray = time.toString().split(" ");
    	var result = "";
    	if (format == 'date') { // 修改日期格式
    		var array = dateArray[0].split("-");
    		result = array[1] + "." + array[2];
    	} else { // 修改时间格式
    		var array = dateArray[1].split(":");
    		result = array[0] + ":" + array[1];
    	}
		return result;
    };
    
    // 获取头像
    Model.prototype.getHeadImg = function(str) {
    	return common.headUrl(str);
    };
	// 获取针对我的评论
	Model.prototype.commentDataBeforeRefresh = function(event){
		if (this.getContext().getRequestParameter("userId") != undefined && this.getContext().getRequestParameter("userId") != null) {
			this.userId =this.getContext().getRequestParameter("userId");
		}
		var data = event.source;
		data.filters.setVar("userId", this.userId);
	};

	
	Model.prototype.a1Click = function(event){	
		var row = event.bindingContext.$object; // 获取当前行对象
		var id = row.val("objectPId"); 
		if (row.val("type") == 2) { // 朗诵
			id = row.val("objectRId");
			common.getHrefCount();
			justep.Shell.showPage(require.toUrl("./sdDetail.w?reciteId="+id+"&userId="+this.getContext().getRequestParameter("userId")));
		}else{
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./ycsgDetail.w?poetryId=" +id + "&userId="+ this.getContext().getRequestParameter("userId")));
		}
		
	};
	// 跳转用户个人展示页
	Model.prototype.image1Click = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("userId")));
	};
	Model.prototype.span3Click = function(event){
		common.getHrefCount();
		var row = event.bindingContext.$object; // 获取当前行对象
		justep.Shell.showPage(require.toUrl("./gry.w?userId=" + row.val("userId")));
	};
  // 跳转评论页面
	Model.prototype.p1Click = function(event){
		var row = event.bindingContext.$object; // 获取当前行对象
		var id = row.val("objectPId"); 
		if (row.val("type") == 2) { // 朗诵
			id = row.val("objectRId");
		}
		common.getHrefCount();
		justep.Shell.showPage(require.toUrl("./plList.w?Id=" + id + "&type=" + row.val("type")));

	};
  
	Model.prototype.backBtnClick = function(event){
		common.getBackCount();
	};
  
	return Model;
});