define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var common = require("./common");

	var Model = function(){
		this.callParent();
		this.userId;
		this.nickName;
	};

	// 提交反馈意见
	Model.prototype.submitBtnClick = function(event){
		var self = this;
		var content = this.comp("content").val();
		if (content === "" || content === null || content === undefined) {
			this.comp("alertDialog").show({message:'请输入反馈内容！'});
			return false;
		}
		var contact = this.comp("contract").val();
		var data = this.comp("feedbackData");
		data.clear();
		data.newData({
			"defaultValues": [{
				userId: self.userId,
				nickName: self.nickName,
				content: content,
				contact: contact,
				createTime: new Date(),
				state :1
			}]
		});
		data.saveData({
			"onSuccess": function(event) {
				self.comp("content").clear();
				self.comp("contract").clear();
				self.comp("alertDialog").show({message:'您的反馈我们已收到，感谢您的支持！'});
			}
		});
	};

	Model.prototype.modelLoad = function(event){
		if (device.platform == "Android") {
			$(".x-has-iosstatusbar").css({"top":"0px"});
		} else {
			$(".x-has-iosstatusbar").css({"top":"20px"});
		}
		// 判断用户是否登录
		var result = common.isToken();
		if (result.bool) {
			this.userId = result.userId;
			this.nickName = result.nickName;
		}
	};

	Model.prototype.backBtnClick = function(event){;
		common.getBackCount();
	};

	return Model;
});